/* eslint-disable react-native/no-inline-styles */
import React, { Component } from 'react';
import { View, DeviceEventEmitter } from 'react-native';
import { DenetWebview } from '@/components/webview';
import { addDom } from '../../utils/contentInTwitterJS/addDom';
// import EventEmitter from 'react-native-eventemitter';

interface Props {
	navigation: any;
}
class Twitter extends Component<Props> {
	webref: any;
	packUrl: any;

	openRedpack = (props: any) => {
		console.log(props.nativeEvent.data);
		const { tweet_Id, ct0 } = JSON.parse(props.nativeEvent.data);
		this.props.navigation.navigate('Redpack', {
			tweet_Id,
			ct0,
		});
	};
	handleWebViewNavigationStateChange = (newNavState: { url: any }) => {
		const { url } = newNavState;
		this.packUrl = url;
		console.log(url);
		if (!url) {
			return;
		}
	};
	injectJavaScript = () => {
		this.webref.injectJavaScript(`
		(${addDom})();
      true;
    `);
	};

	FavoriteTweet = (data: any) => {
		// let jsString = `window.TwitterLikeAPI(${data.tweet_Id})`;
		// data = JSON.parse(data);
		this.webref.injectJavaScript(`
		window.TwitterLikeAPI(${data.id1},${data.id2});
      true;
    `);
	};

	async componentDidMount() {
		DeviceEventEmitter.addListener('FavoriteTweet', (data: any) => {
			this.FavoriteTweet(data);
		});
	}

	render() {
		return (
			<View style={{ flex: 1 }}>
				<DenetWebview
					onLoadEndHandle={this.injectJavaScript}
					refHandle={r => (this.webref = r)}
					onMessageHandle={this.openRedpack}
					handleWebViewNavigationStateChange={
						this.handleWebViewNavigationStateChange
					}
					uri="https://mobile.twitter.com/home"
				/>
			</View>
		);
	}
}
export default Twitter;
